Closed Bug 791556 Opened 8 years ago Closed 8 years ago

Can not build language pack for Firefox 18.0a1 anymore

Categories

(Firefox Build System :: General, defect, minor)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED
mozilla18

People

(Reporter: unghost, Assigned: glandium)

Details

Attachments

(1 file)

When I try to build language pack for Firefox 18.0a1, I get following error:

  /home/unghost/mozilla_central/firefox_xpi/_virtualenv/bin/python /home/unghost/mozilla_central/mozilla-central/config/Preprocessor.py -DXPI_NAME=locale-ru -DMOZ_GLUE_IN_PROGRAM -DAB_CD=ru -DMOZ_LANGPACK_EID=langpack-ru@firefox.mozilla.org -DMOZ_APP_VERSION=18.0a1 -DMOZ_APP_MAXVERSION=18.0a1 -DLOCALE_SRCDIR=/home/unghost/mozilla_central/l10n-central/ru/browser -DPKG_BASENAME="firefox-18.0a1.ru.linux-i686" -DPKG_INST_BASENAME="firefox-18.0a1.ru.linux-i686.installer"  -DDLL_PREFIX=lib -DDLL_SUFFIX=.so -DBIN_SUFFIX= -DJSGC_INCREMENTAL=1 -DMOZ_ENABLE_PROFILER_SPS=1 -DMOZILLA_VERSION=\"18.0a1\" -DMOZILLA_VERSION_U=18.0a1 -DMOZILLA_UAVERSION=\"18.0\" -DD_INO=d_ino -DNS_ALWAYS_INLINE= -DNS_ATTR_MALLOC= -DNS_WARN_UNUSED_RESULT= -DMALLOC_H=\<malloc.h\> -DHAVE_FORCEINLINE=1 -DHAVE_LOCALECONV=1 -DMOZ_PHOENIX=1 -DMOZ_BUILD_APP=browser -DMOZ_X11=1 -DMOZ_WIDGET_GTK2=1 -DMOZ_WIDGET_GTK=2 -DMOZ_PDF_PRINTING=1 -DMOZ_ENABLE_XREMOTE=1 -DMOZ_INSTRUMENT_EVENT_LOOP=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DMOZ_PANGO=1 -DMOZ_ENABLE_GNOMEVFS=1 -DMOZ_ENABLE_GCONF=1 -DMOZ_ENABLE_GNOMEUI=1 -DMOZ_ENABLE_DBUS=1 -DIBMBIDI=1 -DACCESSIBILITY=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_WEBRTC=1 -DMOZ_SAMPLE_TYPE_FLOAT32=1 -DMOZ_RAW=1 -DMOZ_OGG=1 -DATTRIBUTE_ALIGNED_MAX=64 -DMOZ_WEBM=1 -DMOZ_MEDIA_NAVIGATOR=1 -DMOZ_VP8=1 -DMOZ_VP8_ERROR_CONCEALMENT=1 -DMOZ_VP8_ENCODER=1 -DMOZ_WAVE=1 -DMOZ_SYDNEYAUDIO=1 -DMOZ_SPEEX_RESAMPLER=1 -DMOZ_CUBEB=1 -DMOZ_MEDIA=1 -DMOZ_VORBIS=1 -DMOZ_OPUS=1 -DMOZ_XTF=1 -DENABLE_SYSTEM_EXTENSION_DIRS=1 -DMOZ_CRASHREPORTER=1 -DMOZ_CRASHREPORTER_ENABLE_PERCENT=100 -DMOZ_WEBAPP_RUNTIME=1 -DMOZ_UPDATER=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_FEEDS=1 -DMOZ_SAFE_BROWSING=1 -DMOZ_URL_CLASSIFIER=1 -DMOZ_ENABLE_LIBCONIC=1 -DMOZ_DEBUG_SYMBOLS=1 -DMOZ_LOGGING=1 -DSIZEOF_INT_P=4 -DMOZ_MEMORY_SIZEOF_PTR_2POW=2 -DMOZ_MEMORY=1 -DMOZ_MEMORY_LINUX=1 -DJSGC_INCREMENTAL=1 -DJS_DEFAULT_JITREPORT_GRANULARITY=3 -DMOZ_OMNIJAR=1 -DMOZ_USER_DIR=\".mozilla\" -DMOZ_STATIC_JS=1 -DHAVE_FONTCONFIG_FCFREETYPE_H=1 -DMOZ_TREE_PIXMAN=1 -DHAVE_STDINT_H=1 -DHAVE_INTTYPES_H=1 -DMOZ_TREE_CAIRO=1 -DHAVE_UINT64_T=1 -DMOZ_GRAPHITE=1 -DMOZ_ENABLE_SKIA=1 -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DBUILD_CTYPES=1 -DMOZ_PLACES=1 -DMOZ_SERVICES_AITC=1 -DMOZ_SERVICES_NOTIFICATIONS=1 -DMOZ_SERVICES_SYNC=1 -DMOZ_MACBUNDLE_ID=org.mozilla.nightly -DMOZ_APP_UA_NAME=\"\" -DMOZ_APP_UA_VERSION=\"18.0a1\" -DFIREFOX_VERSION=18.0a1 -DMOZ_DLL_SUFFIX=\".so\" -DHAVE_POSIX_FALLOCATE=1 -DXP_UNIX=1 -DMOZ_ACCESSIBILITY_ATK=1 -DATK_MAJOR_VERSION=2 -DATK_MINOR_VERSION=5 -DATK_REV_VERSION=91 \
	    $SEARCH_PLUGIN > ../../dist/xpi-stage/locale-ru/searchplugins/$SEARCH_PLUGIN_BASE; \
	done
/home/unghost/mozilla_central/l10n-central/ru/browser/searchplugins/mailru.xml: WARNING: no preprocessor directives found
/home/unghost/mozilla_central/l10n-central/ru/browser/searchplugins/ozonru.xml: WARNING: no preprocessor directives found
/home/unghost/mozilla_central/l10n-central/ru/browser/searchplugins/priceru.xml: WARNING: no preprocessor directives found
/home/unghost/mozilla_central/l10n-central/ru/browser/searchplugins/wikipedia-ru.xml: WARNING: no preprocessor directives found
/home/unghost/mozilla_central/l10n-central/ru/browser/searchplugins/yandex-slovari.xml: WARNING: no preprocessor directives found
/home/unghost/mozilla_central/l10n-central/ru/browser/searchplugins/yandex.xml: WARNING: no preprocessor directives found
cat /home/unghost/mozilla_central/l10n-central/ru/browser/updater/updater.ini | \
	  sed -e "s/^InfoText=/Info=/" -e "s/^TitleText=/Title=/" | \
	  sed -e "s/%MOZ_APP_DISPLAYNAME%/Nightly/" > \
	  ../../dist/bin/updater.ini
/bin/sh: 3: cannot create ../../dist/bin/updater.ini: Directory nonexistent
make[1]: *** [libs] Error 2
make[1]: Leaving directory `/home/unghost/mozilla_central/firefox_xpi/browser/locales'
make: *** [libs-ru] Error 2
make: Leaving directory `/home/unghost/mozilla_central/firefox_xpi/browser/locales'

My .mozconfig is:

mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../firefox_xpi
ac_add_options --disable-compile-environment
ac_add_options --enable-application=browser
ac_add_options --with-l10n-base=../l10n-central
Can you check this patch works for you?
Assignee: nobody → mh+mozilla
(In reply to Mike Hommey [:glandium] from comment #1)
> Created attachment 661609 [details] [diff] [review]
> Create dist/bin when doing langpacks
> 
> Can you check this patch works for you?
This patch works for me. Thanks!
Attachment #661609 - Flags: review?(khuey)
Attachment #661609 - Flags: review?(khuey) → review?(ted.mielczarek)
Attachment #661609 - Flags: review?(ted.mielczarek) → review+
https://hg.mozilla.org/mozilla-central/rev/60db83025921
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla18
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.